GET api/Customer/GetById/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

integer

Required

Body Parameters

None.

Response Information

Resource Description

ServerResponseOfbase_customer
NameDescriptionTypeAdditional information
Entity

base_customer

None.

errcode

返回码

integer

None.

errmsg

对返回码的文本描述内容

string

None.

ReturnValue

返回值

Object

None.

Response Formats

application/json, text/json

Sample:
{
  "Entity": {
    "id": 1,
    "username": "sample string 2",
    "userpwd": "sample string 3",
    "dept_id": 4,
    "name": "sample string 5",
    "type": "sample string 6",
    "status": 1,
    "signdate": "2026-03-26T14:29:16.7852471+08:00",
    "enddate": "2026-03-26T14:29:16.7852471+08:00",
    "hetong": "sample string 9",
    "fee_type": "sample string 10",
    "ccf_type": "sample string 11",
    "ccf_area": 12,
    "ccf_area_price": 13.1,
    "pbdbf": 14.1,
    "jhf": 15.1,
    "fee_rules": "sample string 16",
    "addtime": "2026-03-26T14:29:16.7852471+08:00"
  },
  "errcode": 1,
  "errmsg": "sample string 2",
  "ReturnValue": {}
}

multipart/form-data

Sample:
<ServerResponseOfbase_customer_PZC5QaEm xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Easyman.Api.Models"><_x003C_ReturnValue_x003E_k__BackingField /><_x003C_errcode_x003E_k__BackingField>1</_x003C_errcode_x003E_k__BackingField><_x003C_errmsg_x003E_k__BackingField>sample string 2</_x003C_errmsg_x003E_k__BackingField><_x003C_Entity_x003E_k__BackingField xmlns:d2p1="http://schemas.datacontract.org/2004/07/Easyman.Model"><d2p1:addtime>2026-03-26T14:29:16.7852471+08:00</d2p1:addtime><d2p1:ccf_area>12</d2p1:ccf_area><d2p1:ccf_area_price>13.1</d2p1:ccf_area_price><d2p1:ccf_type>sample string 11</d2p1:ccf_type><d2p1:dept_id>4</d2p1:dept_id><d2p1:enddate>2026-03-26T14:29:16.7852471+08:00</d2p1:enddate><d2p1:fee_rules>sample string 16</d2p1:fee_rules><d2p1:fee_type>sample string 10</d2p1:fee_type><d2p1:hetong>sample string 9</d2p1:hetong><d2p1:id>1</d2p1:id><d2p1:jhf>15.1</d2p1:jhf><d2p1:name>sample string 5</d2p1:name><d2p1:pbdbf>14.1</d2p1:pbdbf><d2p1:signdate>2026-03-26T14:29:16.7852471+08:00</d2p1:signdate><d2p1:status>1</d2p1:status><d2p1:type>sample string 6</d2p1:type><d2p1:username>sample string 2</d2p1:username><d2p1:userpwd>sample string 3</d2p1:userpwd></_x003C_Entity_x003E_k__BackingField></ServerResponseOfbase_customer_PZC5QaEm>